> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # Make a call POST https://api.synthflow.ai/v2/calls Content-Type: application/json Initiates a real-time phone call through the AI agent. Reference: https://docs.synthflow.ai/api-reference/platform-api/calls/voice-call ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Request ### Body (application/json) This endpoint expects an object. - `model_id` (string, required) — Agent ID. You can find it on the agent’s page in your dashboard. - `phone` (string, required) — Call recipient's phone number. - `name` (string, required) — Call recipient's name. - `from_phone_number` (string, optional) — Optional outbound caller ID. Must match a phone number attached to the outbound agent. - `custom_variables` (list of CallsPostRequestBodyContentApplicationJsonSchemaCustomVariablesItems, optional) — Key-value pairs of pre-call variables, called custom variables in the API, that you can dynamically inject into the prompt. [Learn more](/variables#pre-call-variables). - `lead_email` (string, optional) — The customer's email that can be used to book an appointment. - `lead_timezone` (string, optional) — The customer's time zone that can be used to book an appointment. For a list of all available time zones, see [Time zones](/time-zones). - `prompt` (string, optional) — The prompt that the agent will use. - `greeting` (string, optional) — The greeting the agent will use. ## Response ### 200 200 - `status` (string, optional) - `response` (CallsPostResponsesContentApplicationJsonSchemaResponse, optional) - `eta` (integer, optional) — How long it will take to initialize the call, in seconds. ## Errors ### 400 Bad Request Error 400 ## Types ### CallsPostRequestBodyContentApplicationJsonSchemaCustomVariablesItems - `key` (string, optional) - `value` (string, optional) ### CallsPostResponsesContentApplicationJsonSchemaResponse - `answer` (string, optional) - `call_id` (string, optional) ## Examples **Request** ```json { "model_id": "1696372226173x164740052408336400", "phone": "+12345678987", "name": "David", "from_phone_number": "+16286666348", "custom_variables": [ { "key": "Company", "value": "Synthflow" }, { "key": "Role", "value": "Sales Specialist" } ], "prompt": "You are a helpful sales assistant.", "greeting": "Hello, this is Sarah calling from Acme Corp." } ``` **Response** ```json { "status": "success", "response": { "answer": "ok", "call_id": "1691579123700x31589864853004400" } } ``` **SDK Code** ```python import requests url = "https://api.synthflow.ai/v2/calls" payload = { "model_id": "1696372226173x164740052408336400", "phone": "+12345678987", "name": "David", "from_phone_number": "+16286666348", "custom_variables": [ { "key": "Company", "value": "Synthflow" }, { "key": "Role", "value": "Sales Specialist" } ], "prompt": "You are a helpful sales assistant.", "greeting": "Hello, this is Sarah calling from Acme Corp." } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/calls" payload := strings.NewReader("{\n \"model_id\": \"1696372226173x164740052408336400\",\n \"phone\": \"+12345678987\",\n \"name\": \"David\",\n \"from_phone_number\": \"+16286666348\",\n \"custom_variables\": [\n {\n \"key\": \"Company\",\n \"value\": \"Synthflow\"\n },\n {\n \"key\": \"Role\",\n \"value\": \"Sales Specialist\"\n }\n ],\n \"prompt\": \"You are a helpful sales assistant.\",\n \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/calls") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"model_id\": \"1696372226173x164740052408336400\",\n \"phone\": \"+12345678987\",\n \"name\": \"David\",\n \"from_phone_number\": \"+16286666348\",\n \"custom_variables\": [\n {\n \"key\": \"Company\",\n \"value\": \"Synthflow\"\n },\n {\n \"key\": \"Role\",\n \"value\": \"Sales Specialist\"\n }\n ],\n \"prompt\": \"You are a helpful sales assistant.\",\n \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.synthflow.ai/v2/calls") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"model_id\": \"1696372226173x164740052408336400\",\n \"phone\": \"+12345678987\",\n \"name\": \"David\",\n \"from_phone_number\": \"+16286666348\",\n \"custom_variables\": [\n {\n \"key\": \"Company\",\n \"value\": \"Synthflow\"\n },\n {\n \"key\": \"Role\",\n \"value\": \"Sales Specialist\"\n }\n ],\n \"prompt\": \"You are a helpful sales assistant.\",\n \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/calls"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"model_id\": \"1696372226173x164740052408336400\",\n \"phone\": \"+12345678987\",\n \"name\": \"David\",\n \"from_phone_number\": \"+16286666348\",\n \"custom_variables\": [\n {\n \"key\": \"Company\",\n \"value\": \"Synthflow\"\n },\n {\n \"key\": \"Role\",\n \"value\": \"Sales Specialist\"\n }\n ],\n \"prompt\": \"You are a helpful sales assistant.\",\n \"greeting\": \"Hello, this is Sarah calling from Acme Corp.\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "model_id": "1696372226173x164740052408336400", "phone": "+12345678987", "name": "David", "from_phone_number": "+16286666348", "custom_variables": [ [ "key": "Company", "value": "Synthflow" ], [ "key": "Role", "value": "Sales Specialist" ] ], "prompt": "You are a helpful sales assistant.", "greeting": "Hello, this is Sarah calling from Acme Corp." ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/calls")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```